INTERFACE
SUBROUTINE M7_EMI_DMS&
 & ( KIDIA, KFDIA, KLON,&
 & PCI , PDMS , PLSM, PTS , PWIND,&
 & PFLXM7&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : nm7aer, npist
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON), PDMS(KLON), PLSM(KLON), PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWIND(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLXM7(KLON,nm7aer)
END SUBROUTINE M7_EMI_DMS
END INTERFACE
